require 'telefacil/version'
require 'telefacil/excepciones'


module Telefacil

  # Autoload Models
  autoload :Base,         'telefacil/base'
  autoload :Consumo,      'telefacil/consumo'
  autoload :Extension,    'telefacil/extension'
  autoload :Desvio,       'telefacil/desvio'
  autoload :AvisoLlamada, 'telefacil/aviso_llamada'
  autoload :Filtro,       'telefacil/filtro'

  autoload :Error,        'telefacil/error'
  autoload :Exito,        'telefacil/exito'

  # Class methods
  def self.version
    VERSION
  end

end
